org.codehaus.groovy.antlr

## Interface AntlrASTProcessor

- All Known Implementing Classes:
    AntlrASTProcessSnippets, FlatNodeListTraversal, PreOrderTraversal, SourceCodeTraversal, TraversalHelper

      public interface AntlrASTProcessor

  An interface for processing antlr AST objects
  Version:
    $Revision$
  Author:
    Jeremy Rayner

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AST` | `process(AST t)` performs some processing on the supplied AST node.

- - ### Method Detail

    - #### process

          AST process(AST t)

      performs some processing on the supplied AST node.
      Parameters:
        `t` - the AST node to process.
      Returns:
        possibly returns the AST modified or null, depends on the implementation.